/* body{
    background-color: #00a9ec;
} */
html,body {
    height: 100%;
}

form {
    margin-top: 20px;
}

table {
    margin-top: 20px;
}

.required {
    color: #f00;
}

.tooltip-inner {
    min-width: 200px;
}

.margin-top {
    margin-top: 20px;
}

.no-margin-top {
    margin-top: 0px !important;
}

table {
    max-width: 100%;
}

td.clip {
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
    max-width: 0;
}

th.w-10 {
    width: 10%;
}

th.w-15 {
    width: 15%;
}

th.w-20 {
    width: 20%;
}


th.w-25 {
    width: 25%;
}

th.w-30 {
    width: 30%;
}


th.w-35 {
    width: 35%;
}

th.w-40 {
    width: 40%;
}

/*********** Loading ***********/

.loading {
    background-color: #f5f5f5;
    border: 1px solid #eee;
    position: absolute;
    bottom: 0px;
    left: 0px;
    padding: 2px 200px 2px 5px;
}

/*********** Feedback ***********/

.feedback-aligner {
    position: fixed;
    top: 15px;
    text-align: center;
    width: 100%;
    height: 0;
    z-index: 100;
}
.feedback-aligner .alert {
    border-radius: 2px;
    border-width: 1px;
    display: inline-block;
    position: relative;
}

/*********** On-Off Switch  ***********/

.onoffswitch {
    -moz-user-select: none;
    height: 26px;
    position: relative;
    width: 62px;
}
.onoffswitch .onoffswitch-checkbox {
    display: none;
}
.onoffswitch .onoffswitch-label {
    border: 1px solid #bbb;
    border-radius: 2px;
    cursor: pointer;
    display: block;
    overflow: hidden;
    width: 62px;
}
.onoffswitch .onoffswitch-inner {
    display: block;
    margin-left: -100%;
    transition: margin 0.3s ease-in 0s;
    width: 200%;
}
.onoffswitch .onoffswitch-inner > span {
    -moz-box-sizing: border-box;
    color: white;
    float: left;
    font-size: 11px;
    font-family: "Open Sans", sans-serif;
    font-weight: bold;
    height: 24px;
    line-height: 24px;
    padding: 0;
    width: 50%;
}
.onoffswitch .onoffswitch-switch {
    background-image: linear-gradient(top, #fafafa 0%, #ededed 100%);
    background-image: -o-linear-gradient(top, #fafafa 0%, #ededed 100%);
    background-image: -moz-linear-gradient(top, #fafafa 0%, #ededed 100%);
    background-image: -webkit-linear-gradient(top, #fafafa 0%, #ededed 100%);
    background-image: -ms-linear-gradient(top, #fafafa 0%, #ededed 100%);
    background-image: -webkit-gradient(linear, left top, left bottom, color-stop(0, #fafafa), color-stop(1, 0, #ededed));
    border: 1px solid #aaa;
    border-radius: 2px;
    bottom: 0;
    margin: 0;
    position: absolute;
    right: 39px;
    top: 0;
    transition: all 0.3s ease-in 0s;
    -webkit-transition: all 0.3s ease-in 0s;
    width: 23px;
}
.onoffswitch .onoffswitch-inner .onoffswitch-active {
    background-image: linear-gradient(top, #00a9ec 0%, #009bd3 100%);
    background-image: -o-linear-gradient(top, #00a9ec 0%, #009bd3 100%);
    background-image: -moz-linear-gradient(top, #00a9ec 0%, #009bd3 100%);
    background-image: -webkit-linear-gradient(top, #00a9ec 0%, #009bd3 100%);
    background-image: -ms-linear-gradient(top, #00a9ec 0%, #009bd3 100%);
    background-image: -webkit-gradient(linear, left top, left bottom, color-stop(0, #00a9ec), color-stop(1, 0, #009bd3));
    color: #FFFFFF;
    padding-left: 10px;
}
.onoffswitch-checkbox:disabled + .onoffswitch-label .onoffswitch-inner .onoffswitch-active,
.onoffswitch-checkbox:disabled + .onoffswitch-label .onoffswitch-inner .onoffswitch-inactive {
    background-image: none;
    background-color: #e5e5e5;
    color: #9d9fa1;
}
.onoffswitch .onoffswitch-inner .onoffswitch-inactive {
    background: linear-gradient(#fefefe, #e8e8e8) repeat scroll 0 0 transparent;
    color: #4d5258;
    padding-right: 10px;
    text-align: right;
}
.onoffswitch .onoffswitch-checkbox:checked + .onoffswitch-label .onoffswitch-inner {
    margin-left: 0;
}
.onoffswitch .onoffswitch-checkbox:checked + .onoffswitch-label .onoffswitch-switch {
    right: 0;
}


/*********** Select 2 ***********/

.select2-container {
    width: 100%;
}

.select2-container-multi .select2-choices .select2-search-field {
    height: 26px;
}

.select2-container-single {
    padding: 0;
    margin: 0;
}

.select2-container-single .form-group {
    width: 100%;
    margin: 0;
}

.select2-container-single .form-group .input-group {
    width: 100%;
}

/*********** html select ********/
.overflow-select {
    overflow: auto;
}


/*********** New Menu ***********/


.sidebar-pf-left{
  background: #292e34;
}

.sidebar-pf .nav-pills > li a i, .sidebar-pf .nav-pills > li a span{
  color:  #72767b;
  display: inline-block;
  margin-right: 10px;
}
.sidebar-pf .nav-pills > li > a{
  color: #dbdada;
  padding: 0px 20px 0 30px!important;
  line-height: 30px;
  border-left-width: 12px;
  border-left-style:  solid;
  border-left-color: #292e34;
  margin-left: -6px;
}

.sidebar-pf .nav-pills > li > a:hover{
  background: #393f44;
  border-color:#292e34;
  border-left-color: #393f44;
  color: #fff;
}

.sidebar-pf .nav-pills > li > a:after{
  display: none!important;
}


.sidebar-pf .nav-pills > li.active > a {
  color: #fff;
  background: #393f44!important;
  border-bottom: 1px solid #000!important;
  border-top: 1px solid #000!important;
  border-left-color: #39a5dc!important;
}

.sidebar-pf .nav-pills > li.active a i, .sidebar-pf .nav-pills > li.active a span{
  color: #39a5dc;
}

/*********** Realm selector ***********/

.realm-selector{
  color: #fff;
  margin: 0 -20px;
  position: relative;
}

.realm-dropmenu{
  display: none;
  cursor: pointer;
  position: absolute;
  top: 60px;
  left: 0;
  right: 0;
  z-index: 999;
  background: #fff;
}

.realm-selector:hover .realm-dropmenu{
  display: block;
}

.realm-add{
  padding: 10px;
}

.realm-selector h2{
  font-size: 16px;
  line-height: 60px;
  padding: 0 20px;
  margin: 0;
  border-bottom: 1px solid #d5d5d6;
}

.realm-selector h2 i{
  display: inline-block;
  float: right;
  line-height: 60px;
}


.realm-selector ul{
  padding-left: 0;
  margin: 0;
  list-style: none;
  max-height: 200px;
  overflow-y:auto;
}


.realm-selector ul li a{
  line-height: 60px;
  padding: 0 20px;
  border-bottom: 1px solid #d5d5d6;
  line-height: 39px;
  display: block;
  font-size: 14px;
}


/*********** Overwrites header defaults ***********/

.navbar-pf{
  border-top: none!important;
}

.navbar-pf .navbar-brand {
  padding: 0;
  height: 56px;
  line-height: 56px;
  background-position: center center;
  background-image: url('../img/keyclok-logo.png');
  background-size: 148px 30px;
  background-repeat: no-repeat;
  width: 148px;
}

.navbar-pf .navbar-utility .dropdown-toggle {
    padding: 23px !important;
}

.clickable {
    cursor: pointer;
}

h1 i {
    color: #999999;
    font-size: 18px;
    margin-left: 10px;
}

/* Action cell */
.kc-action-cell {
    background-color: #eeeeee;
    background-image: linear-gradient(to bottom, #fafafa 0%, #ededed 100%);
    background-repeat: repeat-x;

    text-align: center;
    vertical-align: middle;

    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;

    cursor:pointer;
}

.kc-action-cell:hover {
    background-color: #eeeeee;
    background-image: none;
}

.kc-action-cell-disabled {
    background-color: #fafafa;
    color: #8b8d8f;
    background-image: none;
    cursor: not-allowed;
}

.kc-sorter span {
    margin-left: 10px;
}


/* Time selector */

.time-selector input {
    display: inline-block;
    width: 120px;
    padding-right: 0;
    margin-right: 0;
}

.time-selector select {
    display: inline-block;
    width: 80px;
    margin-left: 0;
    padding-left: 0;
}

.ace_editor {
    height: 600px;
    width: 100%;
}

.kc-button-input-file input {
    float: left;
    width: 73%;
}

.kc-button-input-file label {
    float: left;
    margin-left: 2%;
    width: 25%;
}

table.kc-authz-table-expanded {
    margin-top: 0px !important;
}

.no-gutter > [class*='col-'] {
    padding-right:0!important;
    padding-left:0!important;
}

.password-conceal {
  font-family: 'text-security-disc';
  font-size: 14px;
}

.input-map input.form-control {
  width: 50%;
}

/* Deactivation styles for user-group membership tree models */

div[tree-model] li .deactivate {
    color: #4a5053;
    opacity: 0.4;
}

div[tree-model] li .deactivate_selected {
    background-color: #dcdcdc;
    font-weight: bold;
    padding: 1px 5px;
}

/* search highlighting */

div[tree-model] li .highlight {
    background-color: #6e122e;
}

/* Manage credentials */
table.credentials-table {
    margin-top: 0;
    margin-bottom: 20px;
}

table.credentials-table td {
    vertical-align: middle !important;
}

table.credentials-table input[type='text'] {
    width: 100%;
}

td.credential-arrows-cell {
    width: 75px;
}

td.credential-label-cell {
    padding: 5px !important;
}

td.credential-action-cell {
    padding: 0px !important;
}

td.credential-action-cell div.kc-action-cell {
    width: 100%;
    height: 36px;
    line-height: 34px;
}

td.credential-action-cell.expanded div.kc-action-cell {
    border-bottom: 1px solid #d1d1d1;
}

table.credential-data-table td {
    word-break: break-all;
}

table.credential-data-table tr:first-child td {
    border-top: 0;
}

table.credential-data-table td:first-child {
    width: 150px;
}

table.credential-data-table td.key {
    text-align: right;
    font-weight: bold;
}

